using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HaloPlugins.Xbox
{
    public class colo : TagDefinition
    {
       public colo() : base("colo", "color_table", 8)
       {
           Fields.AddRange(new IMetaNode[] {
           new TagBlock("Colors", 48, 512, new IMetaNode[] { 
               new ShortString("Name", StringType.Asci),
               new Value("Alpha", typeof(float)),
               new Value("Red", typeof(float)),
               new Value("Green", typeof(float)),
               new Value("Blue", typeof(float)),
           }),
           });
       }
    }
}
